# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

Name:    folder-color
Version: 0.3.2
Release: 2.ndias%{?dist}
Summary: Folder Color for Linux file browsers


License: GPLv3
URL:     https://costales.github.io/projects/%{name}
Source0: https://github.com/costales/%{name}/archive/refs/heads/master.tar.gz
BuildArch: noarch

BuildRequires: /usr/bin/python, python3-distutils-extra, python3-devel, python3-setuptools

%description
A file browser extension for choosing the color of a folder.


%prep
%setup -q -n %{name}-master


%build
pwd
cd install-scripts
./nautilus.sh GTK4

%install
pwd
python setup.py install -O1 --root=%{buildroot}
find %{buildroot}  -type d | sed 's,'"%{buildroot}"',,g' | grep "%{_datadir}/icons/Yaru" | sed 's/^/%dir /g'> dirs.txt
%{find_lang} %{name}

%post
gtk-update-icon-cache %{_datadir}/icons/hicolor
gtk-update-icon-cache %{_datadir}/icons/Yaru

%postun
gtk-update-icon-cache %{_datadir}/icons/hicolor
gtk-update-icon-cache %{_datadir}/icons/Yaru


%files -f %{name}.lang -f dirs.txt
%doc
%license LICENSE.txt

%{python3_sitelib}/folder_color-%{version}-py%{python3_version}.egg-info

%{_datadir}/icons/hicolor/16x16/actions/color-picker.svg
%{_datadir}/icons/Yaru/*/places/folder-blue*.png
%{_datadir}/icons/Yaru/*/places/folder-brown*.png
%{_datadir}/icons/Yaru/*/places/folder-green*.png
%{_datadir}/icons/Yaru/*/places/folder-grey*.png
%{_datadir}/icons/Yaru/*/places/folder-pink*.png
%{_datadir}/icons/Yaru/*/places/folder-purple*.png
%{_datadir}/icons/Yaru/*/places/folder-red*.png
%{_datadir}/icons/Yaru/*/places/folder-yellow*.png

%{_datadir}/nautilus-python/extensions/%{name}.py

%changelog
* Mon Nov 13 2023 Nuno Dias <Nuno.Dias@gmail.com> - 0.3.2-1.ndias
- Version 0.3.2

* Mon Jan 18 2021 Nuno Dias <Nuno.Dias@gmail.com> - 0.0.90-ndias.1
- Version 0.0.90

* Sat May 16 2020 Nuno Dias <Nuno.Dias@gmail.com> - 0.0.88-ndias.1
- Version 0.0.88

